Nudgescribe API Reference
APIs
API types
API types
  • Authentication
  • Content
  • Campaign
APIs
API types
API types
  • Authentication
  • Content
  • Campaign
  1. Customers
  • Nudgescribe API
  • Authentication
    • Authentication
    • Authenticate
      POST
    • Re-Authenticate
      GET
  • Content
    • Customers
      • Customer Management
      • Upload and Validate Customer Data
        POST
      • Get pages
        POST
      • Get Customers
        POST
      • Delete Customers
        DELETE
    • Customer Groups
      • Customer Groups
      • Create Customer Group
      • Get Customer Groups
      • Update Customer Group
      • Delete Customer Group
    • Customer Profile Fields
      • Customer Profile Fields
      • Create a Custom Profile Field
      • Get Customer Profile Fields for a Workspace
      • Update Custom Fields
      • Delete Custom Fields
  • Campaigns
    • Campaign Messages
      • Campaign Messages
      • Get All Accounts Campaigns
      • Publish Messages to Secure Storage
      • Get Campaign Messages Pages
      • Retrieve Published Messages
    • Campaign Reruns
      • Campaign Reruns
      • Get Campaign Rerun History
      • Get Run Messages
      • Initiate Campaign Rerun
  1. Customers

Get Customers

POST
https://client-api.nudgescribe.com/v1/customer
ContentCustomersCustomer ManagementGetRetrieveCustomer
Retrieves customer records from a specific customer group with pagination support, returning encrypted profile data that can be decrypted as needed.
Enables your application to fetch and display customer data with proper pagination and security controls.

Request

Authorization
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
Body Params application/json

Examples

Responses

🟢200Success
application/json
Body

🟠400Bad Request
🔴500Server Error
🟠403Unauthorised
🟠401Missing Fields
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request POST 'https://client-api.nudgescribe.com/v1/customer' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data-raw '{
  "customer_group_id": "your-customer-group-id",
  "page": 10
}'
Response Response Example
200 - Example 1
[
    {
        "customer_id": "string",
        "account_id": "string",
        "workspace_id": "string",
        "customer_group_id": "string",
        "extended_profile": {},
        "created_at": "string",
        "updated_at": "string",
        "created_by": "string",
        "updated_by": "string"
    }
]
Modified at 2026-01-29 13:09:11
Previous
Get pages
Next
Delete Customers
Built with